CREATE TABLE fa_flat_rates (
    METHOD_ID                  NUMBER(18, 0) ,
    FLAT_RATE_ID               NUMBER(18, 0) ,
    BASIC_RATE                 NUMBER            NOT NULL,
    ADJUSTING_RATE             NUMBER            NOT NULL,
    ADJUSTED_RATE              NUMBER            NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE1                 VARCHAR2(600) ,
    ATTRIBUTE2                 VARCHAR2(600) ,
    ATTRIBUTE3                 VARCHAR2(600) ,
    ATTRIBUTE4                 VARCHAR2(600) ,
    ATTRIBUTE5                 VARCHAR2(600) ,
    ATTRIBUTE6                 VARCHAR2(600) ,
    ATTRIBUTE7                 VARCHAR2(600) ,
    ATTRIBUTE8                 VARCHAR2(600) ,
    ATTRIBUTE9                 VARCHAR2(600) ,
    ATTRIBUTE10                VARCHAR2(600) ,
    ATTRIBUTE11                VARCHAR2(600) ,
    ATTRIBUTE12                VARCHAR2(600) ,
    ATTRIBUTE13                VARCHAR2(600) ,
    ATTRIBUTE14                VARCHAR2(600) ,
    ATTRIBUTE15                VARCHAR2(600) ,
    ATTRIBUTE_CATEGORY_CODE    VARCHAR2(120) ,
    SEED_DATA_SOURCE           VARCHAR2(2048),
    ORA_SEED_SET1              VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2              VARCHAR2(4)       NOT NULL,
    METHOD_ID                  NUMBER(18, 0) ,
    FLAT_RATE_ID               NUMBER(18, 0) ,
    BASIC_RATE                 NUMBER            NOT NULL,
    ADJUSTING_RATE             NUMBER            NOT NULL,
    ADJUSTED_RATE              NUMBER            NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE1                 VARCHAR2(600) ,
    ATTRIBUTE2                 VARCHAR2(600) ,
    ATTRIBUTE3                 VARCHAR2(600) ,
    ATTRIBUTE4                 VARCHAR2(600) ,
    ATTRIBUTE5                 VARCHAR2(600) ,
    ATTRIBUTE6                 VARCHAR2(600) ,
    ATTRIBUTE7                 VARCHAR2(600) ,
    ATTRIBUTE8                 VARCHAR2(600) ,
    ATTRIBUTE9                 VARCHAR2(600) ,
    ATTRIBUTE10                VARCHAR2(600) ,
    ATTRIBUTE11                VARCHAR2(600) ,
    ATTRIBUTE12                VARCHAR2(600) ,
    ATTRIBUTE13                VARCHAR2(600) ,
    ATTRIBUTE14                VARCHAR2(600) ,
    ATTRIBUTE15                VARCHAR2(600) ,
    ATTRIBUTE_CATEGORY_CODE    VARCHAR2(120) ,
    SEED_DATA_SOURCE           VARCHAR2(2048),
    ORA_SEED_SET1              VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2              VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_fa_flat_rates PRIMARY KEY (METHOD_ID, FLAT_RATE_ID, METHOD_ID, FLAT_RATE_ID)
);
